Loading...
Searching...
No Matches
CBot::CBotLinkedList< T > Class Template Reference

## Public Member Functions

virtual | ~CBotLinkedList ()
| Destructor. Be careful, destroys the whole linked list!
T * | GetNext ()
| Returns the next variable in the linked list.
void | AddNext (T *elem)
| Appends a new element at the end of the linked list.

## Protected Attributes

T * | m_next = nullptr

## Constructor & Destructor Documentation

## ~CBotLinkedList()

template<typename T>

virtual CBot::CBotLinkedList< T >::~CBotLinkedList | ( |  | ) |

inline virtual

Destructor. Be careful, destroys the whole linked list!

## Member Function Documentation

## GetNext()

template<typename T>

T * CBot::CBotLinkedList< T >::GetNext | ( |  | ) |

inline

Returns the next variable in the linked list.

Returns
  Next element in the list, or nullptr if this was the last element

## AddNext()

template<typename T>

void CBot::CBotLinkedList< T >::AddNext | ( | T * | elem | ) |

inline

Appends a new element at the end of the linked list.

Parameters

  elem | Element to add

The documentation for this class was generated from the following file:

- src/CBot/CBotUtils.h